<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Product Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classProduct.html">Product</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classProduct.html#ac3ae68f55bf1b39cb03476c06b8b2acd">Display</a>() const</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classProduct.html#a4f00fe919042cd931e8be7d512990eb9">GetName</a>() const</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classProduct.html#aced0946f709511d6e31736b4e3ae77f3">GetPrice</a>() const</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classProduct.html#a0e38542714fccd96670761debb2b4966">GetQuantity</a>() const</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classProduct.html#ad9606cfc985df10f9bd222cfd8db5380">m_name</a></td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classProduct.html#aaf4c944231213459c736b6b5864d16fb">m_price</a></td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classProduct.html#a692001e60c202776079cdc6f0ccbf29a">m_quantity</a></td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classProduct.html#a847c1d85e67ce387166a597579a55135">Product</a>()</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classProduct.html#a91eb866db962d306227f8cde189a1407">Product</a>(std::string name, float price, int quantity)</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classProduct.html#a3c3bb426b9207029886e52edf0658d64">SetName</a>(std::string name)</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classProduct.html#a9fde71fe27974adb563ff58aeffbad47">SetPrice</a>(float price)</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classProduct.html#adb0e1da6d48d6e7aa39d7023bd672cd0">SetQuantity</a>(int quantity)</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classProduct.html#a51985049b3cb995e588627ffdee79028">Setup</a>(std::string name, float price, int quantity)</td><td class="entry"><a class="el" href="classProduct.html">Product</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
